#ifndef CONTROLVOLUMEWIDGET_H
#define CONTROLVOLUMEWIDGET_H

#include <QWidget>
#include <wDevicesManager/controlvolumemanual.h>
#include <wDevicesManager/controlvolumeschedule.h>
#include "QStackedWidget"
#include <QButtonGroup>
namespace Ui {
class ControlVolumeWidget;
}

class ControlVolumeWidget : public QWidget
{
    Q_OBJECT

public:
    explicit ControlVolumeWidget(QWidget *parent = nullptr,QList<LedCard *> *m_pLedlist=nullptr);
    ~ControlVolumeWidget();
private:
    void init();
protected slots:
    void refreshLable();
    void OnGetVolumeModeType(bool b);
private:
    Ui::ControlVolumeWidget *ui;
    ControlVolumeManual *m_pManual=nullptr;
    ControlVolumeSchedule *m_pSchedule=nullptr;
    QStackedWidget *m_pStackedW;
    QButtonGroup *m_buttonGroup;
    QList<LedCard *> *m_pLedlist=nullptr;
};

#endif // CONTROLVOLUMEWIDGET_H
